Package org.codehaus.groovy.ant

# Class LoggingHelper

java.lang.Object
org.codehaus.groovy.ant.LoggingHelper

public class LoggingHelper extends Object
Helper to make logging from Ant easier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingHelper(org.apache.tools.ant.Task owner)`
  Creates a logging helper for the supplied Ant task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(String msg)`
  Logs a debug message.
  `void`
  `error(String msg)`
  Logs an error message.
  `void`
  `error(String msg, Throwable t)`
  Logs an error message together with its cause.
  `void`
  `info(String msg)`
  Logs an informational message.
  `void`
  `verbose(String msg)`
  Logs a verbose diagnostic message.
  `void`
  `warn(String msg)`
  Logs a warning message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoggingHelper

    public LoggingHelper(org.apache.tools.ant.Task owner)
    Creates a logging helper for the supplied Ant task.
    Parameters:
      `owner` - the task that should receive log messages

- ## Method Details

  - ### error

    public void error(String msg)
    Logs an error message.
    Parameters:
      `msg` - the message to log

  - ### error

    public void error(String msg, Throwable t)
    Logs an error message together with its cause.
    Parameters:
      `msg` - the message to log
      `t` - the associated failure

  - ### warn

    public void warn(String msg)
    Logs a warning message.
    Parameters:
      `msg` - the message to log

  - ### info

    public void info(String msg)
    Logs an informational message.
    Parameters:
      `msg` - the message to log

  - ### verbose

    public void verbose(String msg)
    Logs a verbose diagnostic message.
    Parameters:
      `msg` - the message to log

  - ### debug

    public void debug(String msg)
    Logs a debug message.
    Parameters:
      `msg` - the message to log